QGIS 2.18 crashes while rendering (Windows 10)
2016-10-29 08:30 AM - JW van Aalst

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.18.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corruptsdata: Copied to github as #: 23701
Description

While my large project file (140+ postgis layers) rendered perfectly on screen in 2.16, QGIS 2.18 crashes unpredictably while rendering
on screen. This happens each time within a few minutes after opening my project file.

The error message is a pure virtual function call, resulting in a "mini dump", no further details specified.

Decreasing the number of cores to simultaneously use to render doesn't help.

Decreasing the draw interval time (from 1 second to 0.2 seconds) seems to help a little, but it doesn't solve the problem. It seems to crash
while working on the rendering of the text labels, but | can't be sure.

| am using QGIS Desktop 2.18 with Windows 10 64-bit.

History

#1 - 2016-11-01 02:00 AM - Richard Duivenvoorde

Hi Jan Willem,

without more information devs cannot dive into this.

I'm not familiar enough with Windows minidumps/crashes to be helpfull in this.

Did you try:
- another QGIS instance on another machine
- start with a fresh config?

- enable/disable the parallel rendering options?

| know your dataset, so | know it is hard to share. But if it is a clean project file, | would try to do it using a Linux desktop. One because (I think) it is just
more stable, but more because it is easier to get a backtrace IF there is a crash.

#2 - 2016-11-01 02:45 AM - JW van Aalst

Thank you Richard for your tips.

I've found that it doesn't just happen with the large QGIS project file, but also with very simple project files.

Enabling/disabling the parallel rendering options unfortunately doesn't solve this.

One thing I've noticed is that when | use only my 1920x1080 laptop screen, 2.18 does not crash. When | use my 2560x1440 external screen, 2.18 crashes.
So perhaps it is related to my graphics driver. This was never a problem before 2.18, though.

I'm happy to attach one of the mini-dumps, if you can tell me the regular file path where such files are written to.

I will try to install QGIS 2.18 on another machine and try both large and simple project files, using the main screen and a separate external monitor screen.

| will report the results shortly.
#3 - 2016-11-03 08:57 AM - Klas Karlsson

(Might be unrelated)
It also crash a lot on my Linux (Ubuntu 16.04) machine. Not quite sure how to debug, but from the logs the following lines are created at the time of crash:

_(apport)

ERROR: apport (pid 15006) Thu Nov 3 16:01:10 2016: called for pid 6024, signal 11, core limit 0

ERROR: apport (pid 15006) Thu Nov 3 16:01:10 2016: executable: /usr/bin/qgis.bin (command line "/usr/bin/qgis.bin")
ERROR: apport (pid 15006) Thu Nov 3 16:01:10 2016: debug: session gdbus call: (true,)

(
(
(
ERROR: apport (pid 15006) Thu Nov 3 16:01:10 2016: this executable already crashed 2 times, ignoring

)
)
)
)

(kernlog/syslog)
Nov 3 16:01:10 Deathstar kernel: [ 4713.161288] traps: Thread (pooled)[14996] general protection ip:7f5bcf18a0ef sp:7f5b09ff9c40 error:0 in
libQtGui.s0.4.8.7[7f5bcee7a000+aac000]_

Not really sure, but it may be a problem related to PostGIS... Can't get it to crash with only shape files...

#4 - 2016-11-03 11:57 AM - Dmitry Kravchook

It seems that memory management is broken while rendering. In print composer, while render, if layers in map uses mixing and resulting image is big
enough (depends on available phisical memory) this layers are ignored. 2.16 works perfect on the same conditions.

#5 - 2016-11-09 01:33 AM - Hynek Suchy

| can confirm it on Windows Vista Ultimate 32bit.

QGIS 2.18 is crashing while rendering.

Project has 42 vector layers and 3 WMS.
| switched back to QGIS 2.16.3.

#6 - 2017-02-04 02:50 AM - Giovanni Manghi
- Priority changed from Normal to High

#7 - 2017-03-07 04:15 AM - Giovanni Manghi
- Category set to Project Loading/Saving

- Status changed from Open to Feedback

Please also try in clean environment, with no 3rd party plugins and possibly by wiping the entire .qgis2 folder.

Without any project/data to test seems very improbable to me to find the source of the issue.

#8 - 2017-03-08 07:44 AM - JW van Aalst

| did a clean install of QGIS Desktop 2.18.4 on Windows 10 64-bit.

I tried it on my topo project file containing over 200 PostGIS map layers.

The application crashes considerably less often than on 2.18.1. My estimation is only once in about 60-80 screen renderings.
This is acceptable to me.
#9 - 2017-04-29 05:31 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed
